@font-face {
  font-family: "EncodeSans";
  src: url("../fonts/EncodeSansExpanded-Light.ttf");
}

@font-face {
  font-family: "EncodeSansBold";
  src: url("../fonts/EncodeSansExpanded-Bold.ttf");
}

a {
  text-decoration: none;
  color: #000;
}

body,
header {
  display: grid;

  grid-template-columns: 100%;
  grid-template-rows: auto;
  overflow-x: hidden;
  font-family: "EncodeSans";
  background-position: center;
  background-size: cover;
}

section {
  display: grid;
  justify-self: center;
  align-content: space-around;
  padding-top: 50px;
  padding-bottom: 50px;
  background-color: transparent;
}

article,
#containerWelcome,
#form,
#containerForm,
#containerTravel,
#containerWelcomePassenger {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: auto;

  justify-self: center;
  align-self: center;

  gap: 40px;

  width: 80%;
  border-radius: 20px;

  padding: 2%;

  background-color: transparent;
  color: #000;
  border-bottom: 2px solid #91cf50;
  box-shadow: 0px 10px 40px #91cf50;
}

#containerWelcomePassenger {
  width: 100% !important;
}

#containerForm {
  border-bottom: none;
  box-shadow: none;
}

.buttonsContainer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: 100%;
}

h3 {
  font-family: "EncodeSansBold";
  font-size: 25px;
  text-align: center;
}
h2 {
  font-size: 30px;
  grid-column: 1/-1;
  font-family: "EncodeSans";
  text-align: center;
  margin-bottom: 0;
  color: #00bee8;
}

hr {
  grid-column: 1/-1;
  width: 100%;
  color: #91cf50;
}

input,
select {
  width: 60%;
  height: 40px;
  background-color: #fff;
  border: 1px solid #bcbcbc;
  border-radius: 8px;
  padding-left: 15px;
  padding-right: 15px;
}

input[type="checkbox"] {
  width: 16px;
  border: none;
}

button,
#showTerms {
  justify-self: center;

  border: 1px solid transparent;
  border-radius: 8px;

  width: 50%;

  padding: 1%;

  color: white;
  background-color: #005cff;
}

#showTerms {
  width: 25%;
}

footer {
  background-color: #005cff;
  padding-left: 20px;
  font-weight: bold;
  color: #fff;
}

.allColums {
  grid-column: 1/-1;
  font-family: "EncodeSans";
}

.containerInputs {
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: auto;
}

.menuLogo img {
  width: 130px;
  margin: 30px;
}

.etiquetaInput {
  font-weight: bold;
  margin-bottom: 10px;
}

.swal2-confirm {
  width: 60px;
}

.contBeneficios {
  display: grid;
  align-items: center;
  grid-template-columns: 100%;
  grid-template-rows: auto;
  padding: 5%;
  justify-items: center;
  gap: 20px;
}

.contBeneficios img {
  width: 50px;
  margin-right: 15px;
  margin-left: 5%;
}

.contTable {
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: auto;
  grid-column: 1 / -1;
  background-position: center;
  background-size: cover;
  color: #000;
  padding-top: 30px;
  border-radius: 15px;
  padding-bottom: 30px;
}

.contBtnAcepto {
  grid-column: 1/-1;
  display: flex;
  justify-content: center;
  font-weight: bold;
}

.contImgAvion {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 40px;
}

#contCodigo {
  display: none;
}

.contFactura {
  grid-column: 1/-1;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: auto;
  display: grid;
  gap: 40px;
  width: 100%;
  border-radius: 20px;
  background-color: white;
}

#contFactura {
  display: none;
}

.containerFlag {
  display: grid;
  grid-template-columns: 20% 80%;
  grid-template-rows: 100%;
}

.inputFlag {
  display: grid;
  grid-template-columns: 20% 80%;
  grid-template-rows: 100%;
}

.imgFlag {
  width: 70%;
  justify-self: center;
  align-self: center;
}

.banner-conf {
  width: 100%;
}

h3 {
  color: #00bee8;
}

#responsive-banner {
  display: none;
}

@media only screen and (max-width: 900px) {
  article,
  #containerWelcome,
  #form,
  #containerForm,
  #containerTravel,
  #containerWelcomePassenger {
    display: grid;
    grid-template-columns: repeat(2, 50%);
    grid-template-rows: auto;

    justify-content: center;

    justify-self: center;
    align-self: center;

    gap: 40px;

    width: 80%;
    border-radius: 20px;

    padding: 5%;

    background-color: transparent;
    color: 000;
    border-bottom: 2px solid #91cf50;
    box-shadow: 0px 10px 40px #91cf50;
  }
}

@media only screen and (max-width: 600px) {
  article,
  #containerWelcome,
  #form,
  #containerForm,
  #containerTravel,
  #containerWelcomePassenger {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto;
  }

  #showTerms {
    width: 50%;
  }

  input,
  select {
    width: 80%;
  }

  input[type="checkbox"] {
    width: 16px;
    border: none;
  }

  #containerForm {
    border-bottom: none;
    box-shadow: 0px 10px 40px transparent;
  }

  #responsive-banner {
    display: block;
  }
  #normal-banner {
    display: none;
  }
}
